/*
3D Mesh Editer via "A Simple Approach to Interactive Free-Form 
Shape Deformations" 
Copyright:(c) Shin Yoshizawa, 2002
E-mail: shin.yoshizawa@mpi-sb.mpg.de
URL: http://www.mpi-sb.mpg.de/~shin
Affiliation: Max-Planck-Institut fuer Informatik: Computer Graphics Group 
 Stuhlsatzenhausweg 85, 66123 Saarbruecken, Germany
 Phone +49 681 9325-414 Fax +49 681 9325-499 

 All right is reserved by Shin Yoshizawa.
This java program and sources are allowed for only primary user of 
research and educational purposes. Don't use secondary: copy, distribution, 
diversion, business purpose, and etc.. 
 */
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class checkquit extends Dialog implements java.awt.event.ActionListener{
    Button Yes,No;
    Label quitlabel;
    Panel quitpanel;
    Frame ff;
  Color blanchedalmond  = new Color((float)(1.000000),
                             (float)(0.921569),(float)(0.803922));
  Color teal = new Color((float)(0.000000),(float)(0.501961),
                         (float)(0.501961));
public checkquit(Frame f){
    super(f, "checkquit", true);	
    ff = f;
    Yes = new Button("Yes");
    No = new Button("No");
    Yes.setFont(new Font("TimesRoman", Font.ITALIC, 18));
    No.setFont(new Font("TimesRoman", Font.ITALIC, 18));
    quitlabel = new Label("Do you want to exit ?");
    quitlabel.setFont(new Font("TimesRoman", Font.ITALIC, 18));
    quitpanel = new Panel();
    quitpanel.add(Yes);
    quitpanel.add(No);
    Yes.addActionListener(this);
    No.addActionListener(this);
    //this.setModal(true);
    
    this.setForeground(Color.black);
    this.setBackground(Color.white);
    this.setLayout(new GridLayout(2,1));
    this.add(quitlabel);
    this.add(quitpanel);
    this.setLocation(150,150);
    
    this.setForeground(teal);
    this.setBackground(blanchedalmond);
    this.setSize(250,120);
    
    //this.pack();
    this.show();
    
}
public void actionPerformed(ActionEvent evt) {
    if(evt.getSource() == Yes){
      
      System.exit(0);	  
	
		
	
   }else if(evt.getSource() == No){
	this.setVisible(false);
	this.dispose();
    }
}
}
